Customer Trust
Create customer trust account
Create a new customer trust account.
POST
/
customer-trust
/
accounts
Create customer trust account
curl --request POST \
--url https://api.vanta.com/v1/customer-trust/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": [
"<string>"
]
}
]
}
'import requests
url = "https://api.vanta.com/v1/customer-trust/accounts"
payload = {
"name": "<string>",
"emailDomain": "<string>",
"customFields": [
{
"label": "<string>",
"value": "<string>"
}
],
"tagsByCategory": [
{
"categoryId": "<string>",
"tagIds": ["<string>"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
emailDomain: '<string>',
customFields: [{label: '<string>', value: '<string>'}],
tagsByCategory: [{categoryId: '<string>', tagIds: ['<string>']}]
})
};
fetch('https://api.vanta.com/v1/customer-trust/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439011",
"name": "Acme Corporation",
"emailDomain": "acme.com",
"createdDate": "2024-01-01T00:00:00.000Z",
"updatedDate": "2024-01-02T00:00:00.000Z",
"ndaDetails": {
"ndaStatus": "SIGNED",
"ndaSatisfiedDate": "2024-01-02T00:00:00.000Z"
},
"accessConfig": {
"autoApprovalEnabled": false,
"grantAccessOption": "INCLUDE_EVERYTHING_REQUESTED"
},
"customFields": [
{
"label": "externalId",
"value": "12345"
}
],
"tagsByCategory": [
{
"categoryId": "507f1f77bcf86cd799439012",
"tagIds": [
"507f1f77bcf86cd799439013"
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Ok
Vanta API representation of a CustomerTrustAccount.
Unique identifier for the account
Name of the account
Primary email domain associated with the account
When the account was created
When the account was last updated
NDA configuration for this account
Show child attributes
Show child attributes
Access configuration for this account
Show child attributes
Show child attributes
Custom field values for this account
Show child attributes
Show child attributes
Tags assigned to this account, grouped by category
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create customer trust account
